Add Tags
http
POST https://services.leadconnectorhq.com/contacts/{contactId}/tagsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
contactId | string | Yes | sx6wyHhbFdRXh302LLNR | Contact Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
tags | string[] | Yes |
Responses
201 - Successful response
tags(string[])
json
{
"tags": [
"minim",
"velit magna"
]
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tags' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"tags": [
"minim",
"velit magna"
]
}'const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tags', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"tags": ["minim", "velit magna"]}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tags',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"tags": ["minim", "velit magna"]},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tags');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'tags': ['minim', 'velit magna']}),
]);
$data = json_decode(curl_exec($ch), true);